﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace TabStyleTest
{
    public class MainViewModel: ViewModelBase
    {
        public MainViewModel()
        {
            this.Employees = new ObservableCollection<Employee>();
        }
        public ObservableCollection<Employee> Employees
        {
            get;
            set;
        }

        private Employee emp;
        public Employee CurrEmployee
        {
            get { return emp; }
            set
            {
                emp = value;
                this.OnPropertyChanged("CurrEmployee");
            }
        }     
        
       

        #region MyProperty (INotifyPropertyChanged Property)
        private int _currtabIndex;

        public int CurrTabIndex
        {
            get { return _currtabIndex; }
            set
            {
                _currtabIndex = value;
                this.OnPropertyChanged("CurrTabIndex");
            }
        }
        #endregion
        
    }
}
